{% extends 'base.html' %}

	{% block title %}Update Event{% endblock %}

	{% block content %}
		{% if user.is_anonymous == False %}
		<div class="container">
			<div class="row">
				<div class="col-6 offset-3">
					<h1 class="text-center my-3">Update Event</h1>
					{% if error == True %}
						<p class="text-danger">Event not found</p>
					{% endif %}
					<form action="{% url 'todolist:update_event' eventitem_id %}" method="post">
						{% csrf_token %}

						<div class="mb-3">
						    <label for="event_name">Event Name: </label>
						    <input class="form-control" id="event_name" type="text" name="event_name" value="{{ event_name }}" maxlength="50" required>
						</div>

						<div class="mb-3">
						    <label for="description">Description: </label>
						    <textarea class="form-control" name="description" required>{{ description }}</textarea>
						</div>

						<div class="mb-3">
						    <label for="event_date">Event Date and Time:</label>

							<div class="input-group date" id="datetimepicker1" data-target-input="nearest">
								<input 
								type="text"
								class="form-control"
								id="event_date"
								name="event_date"
								value="{{ event_date }}"
								required
							>
								<div class="input-group-append" data-target="#datetimepicker1" data-toggle="datetimepicker">
									<div class="input-group-text"><i class="fa fa-calendar"></i></div>
								</div>
							</div>
							<script>
								$(function () {
									$("#datetimepicker1").datetimepicker({
										format: 'DD/MM/YYYY HH:mm',
									});
								});
							</script>
						</div>

						<div class="mb-3">
						    <label for="status">Status: </label>
						    <input class="form-control" id="status" type="text" name="status" value="{{ status }}" maxlength="50" required>
						</div>

						<div class="text-center">
					    	<input class="btn btn-success" type="submit" value="Update Event">
						</div>

					</form>
				</div>
			</div>
		</div>
		{% else %}
			<h1 class="text-center my-3">You are not authorized to access this page.</h1>
			<p class="text-center">Kindly login <a href="{% url 'todolist:login' %}">here</a></p>
		{% endif %}
	{% endblock %}